hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chris Drome (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HIVE-6987) Metastore qop settings won't work with Hadoop-2.4
Date Tue, 29 Apr 2014 21:19:23 GMT

     [ https://issues.apache.org/jira/browse/HIVE-6987?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Chris Drome updated HIVE-6987:
------------------------------

    Attachment: HIVE-6987-1.patch.txt

> Metastore qop settings won't work with Hadoop-2.4
> -------------------------------------------------
>
>                 Key: HIVE-6987
>                 URL: https://issues.apache.org/jira/browse/HIVE-6987
>             Project: Hive
>          Issue Type: Bug
>          Components: Metastore
>    Affects Versions: 0.14.0
>            Reporter: Vaibhav Gumashta
>            Assignee: Chris Drome
>             Fix For: 0.14.0
>
>         Attachments: HIVE-6987-1.patch.txt
>
>
>  [HADOOP-10211|https://issues.apache.org/jira/browse/HADOOP-10211] made a backward incompatible
change due to which the following hive call returns a null map:
> {code}
> Map<String, String> hadoopSaslProps =  ShimLoader.getHadoopThriftAuthBridge().
>         getHadoopSaslProperties(conf); 
> {code}
> Metastore uses the underlying hadoop.rpc.protection values to set the qop between metastore
client/server. 



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message